Subject: [os2genau_digest] No. 274
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Wed, 13 Feb 2002 01:00:00 +1100 (EDT)

Date:- 13 February 2002

1================================================

Date: Tue, 12 Feb 2002 06:46:37 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Dual Boot

I believe the changes were made between NT4 and Win2000. Hence NTFS 4
and NTFS 5. As far as I have been told, XP Professional is in the most
part Windows 2000 Professional with a new GUI. W2k with a Nintendo look
is one expression I've heard but I suspect this is an insult to Nintendo

It is interesting, when doing training, how much Microsoft have changed
their device driver install procedures. These differentiate between
devices with M$ certified drivers (ie supplied through or from M$) and
"uncertified" drivers from the hardware manufacturer. It would be very
easy fot M$ to turn off support for "non-microsoft-certified" drivers
and so pressure a hardware manufacturer out of business giving m$ an
even stronger stranglehold on the industry and as for building your 
own PC, rather than buying from a M$ approved OEM - forget it ! The same
is true with File systems - if M$ so chose, they could make NTFS very
proprietry indeed. I'm surprised thay haven't tried to patent it yet,
to stop other people being able to write drivers and DLL's for it.

Cheers/2

Ed.

"Robert Traynor (BobT)" wrote:
> 
> Ok,
> 
> 
> I have also seen some newsgroups messages claiming that MS has changed
> the specs for NTFS and later versions (XP) are less compatible with the
> hpfs_w2k.zip.  I cannot confirm myself.
>

2==============================================

Date: Tue, 12 Feb 2002 06:52:01 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Dual Boot

Q2 2002 is the pencilled in GA release date. Apparently the 2nd beta
(supplied only to those who had the first beta) is working well, so
hopefully the Q2 date should be achivebable.

I will indeed know more following the presentations at the IBM Warp
Workshop in Munich is 2 weeks time.

The question is, can you wait ?

Cheers/2

Ed.
 
Dr Graham Norton FRACP Neurologist wrote:
> 
> Hi ed
> 
> Of course the Virtual PC option  would be great and more than acceptable. Your
> email suggests that the product is either released or about to be released??
> Happy to  buy and try as I basically have a second HD for my Thinkpad on which I
> do all my fiddling !!  Do you know its status? Have you been to  Europe and seen it
> in action?
> 
> On Sun, 10 Feb 2002 15:10:51 +1100, Ed Durrant wrote:
> 
> >W2k professional or server ?
> >
> >Either way, I'd install W2k first, leaving say half of the drive as
> >freespace, then insdtall boot manager at the end of the drive and
> >last of all OS/2 Warp 4.
> >
> >As you know, you'll need to consider file systems. If you want security
> >and user disk quotas, compression or file encryption you'll have to go
> >with NTFS on the W2k partition. Although Microsoft don't advertise it,
> >it appears that HPFS is still recognised by W2k as it is mentioned in
> >some W2k training I am doing. So if yoy don't need any of the "special
> >features" of NTFS, then HPFS could be a winner for you.
> >
> >The Warp partition should of course be HPFS.
> >
> >If you have to go with NTFS for W2K, then, if you want to exchange data
> >between the two OS environments, then you'll need a FAT data transfer
> >partition, but keep this below 2 GB in size otherwise W2k will want to
> >make it into FAT32.
> >
> >You may experience problems betwwen W2k's Disk manager and LVM if you
> >either change to Dynamic drives undfer W2k or use JFS under Warp, so
> >you'd probably better avoid both of these.
> >
> >Since you are buying licences for both W2k and Warp, another option
> >could be Virtual PC. Either with OS/2 as the host and W2k as the guest
> >or the other way around. I think Virtual PC is supposed to cost around
> >US$ 100.
> >
> >Cheers/2
> >
> >Ed.
> >
> >
> >Dr Graham Norton FRACP Neurologist wrote:
> >>
> >> I am about to attempt to set up a  laptop with W2000 and Warp 4.5....
> >>
> >> any helpful comments and suggestions, warnings etc gratefully received!
> >>
> >> is it possible with Boot Manager?  other choices?
> >>
> >
> 
> Graham Norton
> President
> OS2 Users Group SA
> 

3==============================================

Date: Tue, 12 Feb 2002 08:29:34 +1000
From: "Mike O'Connor" <mikeocataustarnet dot com dot au>
Subject: Re: [os2genau] Dual Boot

Hi Ed,
As HPFS was patented by Gordon Letwin  - are you sure that NTFS wasn't?
Regards,
Mike

Ed Durrant wrote:

> I believe the changes were made between NT4 and Win2000. Hence NTFS 4
> and NTFS 5. As far as I have been told, XP Professional is in the most
> part Windows 2000 Professional with a new GUI. W2k with a Nintendo look
> is one expression I've heard but I suspect this is an insult to Nintendo
>
> It is interesting, when doing training, how much Microsoft have changed
> their device driver install procedures. These differentiate between
> devices with M$ certified drivers (ie supplied through or from M$) and
> "uncertified" drivers from the hardware manufacturer. It would be very
> easy fot M$ to turn off support for "non-microsoft-certified" drivers
> and so pressure a hardware manufacturer out of business giving m$ an
> even stronger stranglehold on the industry and as for building your
> own PC, rather than buying from a M$ approved OEM - forget it ! The same
> is true with File systems - if M$ so chose, they could make NTFS very
> proprietry indeed. I'm surprised thay haven't tried to patent it yet,
> to stop other people being able to write drivers and DLL's for it.
>
> Cheers/2
>
> Ed.
>
> "Robert Traynor (BobT)" wrote:
> >
> > Ok,
> >
> >
> > I have also seen some newsgroups messages claiming that MS has changed
> > the specs for NTFS and later versions (XP) are less compatible with the
> > hpfs_w2k.zip.  I cannot confirm myself.
> >

4==============================================

Date: Tue, 12 Feb 2002 08:32:59 +1000
From: "Mike O'Connor" <mikeocataustarnet dot com dot au>
Subject: Re: [os2genau] Dual Boot

Hi Ed,
Missed a bit out - NT4's NTFS was version 1.3 - haven't looked at what W2K's NTFS
actually was.

Ed Durrant wrote:

> I believe the changes were made between NT4 and Win2000. Hence NTFS 4
> and NTFS 5.

5==============================================

From: "David Forrester" <davidforatterrigal dot net dot au>
Date: Tue, 12 Feb 2002 21:03:36 +1100 (EDT)
Subject: Re: [os2genau] Dual Boot

On Mon, 11 Feb 2002 22:13:36 +1000, Mike O'Connor wrote:

>Hi David, Bob,
>Re: XOSL - I downloaded v1.1.2 (the last "other OSs" version) and wondered if that's
>the version you are using David?  Only problems with it I found were that to boot a
>logical partition (OS/2 of course), I had to use the "original [IBM BM] MBR",
>otherwise I had a non-functioning boot - black screen - and one cannot nominate what
>the boot drive-letter will be ('a la' System Commander). My XOSLOS logical
>partition(78h) is a single cylinder- up around cylinder 2000. I didn't try any of the
>M$-only later versions (yet).

I'm using 1.1.5.  I think the "DOS/Win95/ME" label on the XOSL site a
misnomer.  Some of the earlier versions used included stuff to create a
boot disk for installing (can't remember if it was a DOS disk or a
Linux disk).  The later versions need you to boot into a DOS
environment to install it.  I think I used the FreeDOS that they have
on the site.

Yes, XOSL, can't directly boot OS/2 from a logical partition.  You can
get around this by keeping BootManager around and having XOSL boot to
that and send the key strokes to select the OS/2 partition and press
enter.

I also think that with Dani's drivers, you could get around this
problem.  One of the drivers has the ability to specify the boot
partition.  I think, but, I'm not sure, that they could be used to get
around this problem.  

>Re:Air-Boot - v0.27b was the most recent(29 Jan) released, but the news page said that
>0.28b would cater for the [LVM?]/BM method of determination of BIOS INT13 extensions
>support.  I haven't got around to trying 0.26b yet, but hope to do so in the next few
>days.

AirBoot looks good, and if I setup another machine, I might try it. 
That's not likely to happen soon though.

--
David Forrester
davidforatterrigal dot net dot au
http://www.os2world dot com/djfos2/

6==============================================

From: "Daryl Pilkington" <u3232athome.dialix dot com>
Date: Tue, 12 Feb 2002 07:04:36 +1100 (EDT)
Subject: Re: [os2genau] SmartCache, Squid, N461

Thanks David,

How about caching DNS?
That would make it perfect :)

On Mon, 11 Feb 2002 22:26:37 +1100 (EDT), David Forrester wrote:

SNIP
>
>Is InternetGate the one that will proxy just about anything?  From
>MaccaSoft or someone like that?  If so, I remember trying it before
>getting InJoy.  At first glance, I was impressed, but, I don't think it
>worked well either.  InJoy with NAT seems to works a lot better. 
>Adding in SmartCache gets it pretty near perfect.
>
SNIP
>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylpatpc-therapist dot com dot au
          ICQ: 91914134
          Mob: 0425-251-300